import java.util.*;
import javax.jdo.*;
import com.objectdb.Utilities;

public class Test1
{
	public static void main(String argv[])
	{
		PersistenceManager pm = Utilities.getPersistenceManager( "laptop.odb" );

		/* 
		Get the collection of all laptops that have a processor clock speed of at least "c" GHz, 
		a memory size of at least "s" GB, and a price of at least "p1" dollars.
		*/

		Query q = pm.newQuery();
		q.setClass(Laptop.class);
		q.declareParameters("float c, int s, int p1");
		q.setFilter("this.processor.clockSpeed >= c && this.memory.size >= s && this.price >= p1");

		Collection<Laptop> ll = (Collection<Laptop>) q.execute(8.0f, 12, 500);
		Utility.printCollection( ll );
		q.closeAll();		

		if ( !pm.isClosed() )
        		pm.close();
	}
}
